For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
ContactLearn More
GuidesReferenceSamplesLicenseChangelog
GuidesReferenceSamplesLicenseChangelog
  • SDKs
    • Overview
  • REST
      • GETList objects
      • GETList locally-deleted force-distributed objects
      • GETGet object
      • POSTUpload object
      • DELDelete object
      • HEADGet object metadata
  • gRPC
ContactLearn More
RESTObjects

List objects

Beta
GET
https://example.developer.anduril.com/api/v1/objects
GET
/api/v1/objects
$curl https://example.developer.anduril.com/api/v1/objects \
> -H "Authorization: Bearer <token>"
1{
2 "path_metadatas": [
3 {
4 "content_identifier": {
5 "path": "string",
6 "checksum": "string"
7 },
8 "size_bytes": 1,
9 "last_updated_at": "2024-01-15T09:30:00Z",
10 "expiry_time": "2024-01-15T09:30:00Z"
11 }
12 ],
13 "next_page_token": "string"
14}
Lists objects in your environment. You can define a prefix to list a subset of your objects. If you do not set a prefix, Lattice returns all available objects. By default this endpoint will list local objects only.
Was this page helpful?
Previous

List locally-deleted force-distributed objects

Next

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

prefixstringOptional
Filters the objects based on the specified prefix path. If no path is specified, all objects are returned.
sinceTimestampdatetimeOptional
Sets the age for the oldest objects to query across the environment.
pageTokenstringOptionalformat: "string"

Base64 and URL-encoded cursor returned by the service to continue paging.

allObjectsInMeshbooleanOptional
Lists objects across all environment nodes in a Lattice Mesh.
maxPageSizeintegerOptional
Sets the maximum number of items that should be returned on a single page.

Response

Successful operation
path_metadataslist of objects
next_page_tokenstring

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error